LEXGROG(1)

NAVN
lexgrog - fortolk hovedfilsinformation i manualsider

SYNOPSIS
lexgrog [-m|-c] [-dfw?V] [-E kodning] fil ...

BESKRIVELSE
lexgrog is an implementation of the traditional “groff guess” utility in lex. It reads the list of files on its command line as either man page source files or preformatted “cat” pages, and displays their name and description as used by apropos and whatis, the list of preprocessing filters required by the man page before it is passed to nroff or troff, or both.

If its input is badly formatted, lexgrog will print “parse failed”; this may be useful for external programs that need to check man pages for correctness. If one of lexgrog's input files is “-”, it will read from standard input; if any input file is compressed, a decompressed version will be read automatically.

TILVALG

-d, --debug
    Vis fejlsøgningsinformation.

-m, --man
    Parse input as man page source files. This is the default if neither --man nor --cat is given.

-c, --cat
    Fortolk inddata som præformaterede manualsider (“cat pages”). --man og --cat kan ikke angives simultant.

-w, --whatis
    Vis navnet og beskrivelsen fra manualsidens teksthoved, som brugt af apropos og whatis. Dette er standarden hvis hverken --whatis eller --filters er angivet.

-f, --filters
    Vis listen med filtre krævet for at forbehandle manualsiden før formatering med nroff eller troff.

-E kodning, --encoding kodning
    Overstyr det gættede tegnsæt for siden til encoding.

-?, --help
    Vis en hjælpebesked og afslut.

--usage
    Vis en kort hjælpebesked og afslut.

-V, --version
    Vis versionsinformation.

AFSLUT-STATUS

0   Programkørsel endt uden fejl.

1   Fejl i anvendelse.

2   lexgrog mislykkedes i at fortolke en eller flere af dets inddatafiler.

EKSEMPLER
  $ lexgrog man.1
  man.1: "man - an interface to the on-line reference manuals"
  $ lexgrog -fw man.1
  man.1 (t): "man - an interface to the on-line reference manuals"
  $ lexgrog -c whatis.cat1
  whatis.cat1: "whatis - display manual page descriptions"
  $ lexgrog broken.1
  broken.1: parse failed

WHATIS PARSING
mandb (which uses the same code as lexgrog) parses the NAME section at the top of each manual page looking for names and descriptions of the features documented in each. While the parser is quite tolerant, as it has to cope with a number of different forms that have historically been used, it may sometimes fail to extract the required information.

When using the traditional man macro set, a correct NAME section looks something like this:

    .SH NAME
    foo \- program to do something

Some manual pagers require the ‘\-’ to be exactly as shown; mandb is more tolerant, but for compatibility with other systems it is nevertheless a good idea to retain the backslash.

On the left-hand side, there may be several names, separated by commas. Names containing whitespace will be ignored to avoid pathological behaviour on certain ill-formed NAME sections. The text on the right-hand side is free-form, and may be spread over multiple lines. If several features with different descriptions are being documented in the same manual page, the following form is therefore used:

    .SH NAME
    foo, bar \- programs to do something
    .br
    baz \- program to do nothing

(En makro som starter et nyt afsnit, såsom .PP, kan bruges i stedet for break-makroen .br.)

Når der bruges det BSD-afledte mdoc-makrosæt, så ligner en korrekt NAME-sektion noget lignende dette:

    .Sh NAVN
    .Nm foo
    .Nd program der skal udføre noget
Der er flere gængse årsager til at whatis-fortolkning mislykkes. Nogle gange erstatter forfattere af manualsider ‘.SH NAME’ med ‘.SH MYPROGRAM’, og så kan mandb ikke finde afsnittet hvorfra informationen, den har brug for, skal udtrækkes. Undertiden inkluderer forfatteren et NAVNE-afsnit, men placerer fri-form tekst der frem for ‘name \- beskrivelse’. Dog bør enhver syntaks der ligner ovenstående blive accepteret.

SE OGSÅ
apropos(1), man(1), whatis(1), mandb(8)

NOTER
lexgrog forsøger at fortolke filer der indeholder .so-forespørgsler, men vil kun kunne gøre det korrekt hvis filerne er korrekt installeret i et manualsidehierarki.

FORFATTER
Koden brugt af lexgrog til at skanne manualsider blev skrevet af:

Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

Colin Watson skrev den aktuelle inkarnation af kommandolinjebrugerfladen, samt denne manualside.